void setup_throttle_quadrant()
{
  if (!is_device_connected(THROTTLE_QUADRANT_I2C_ADDRESS))
    return;

  simchair_aux1.setRxAxisRange(THROTTLE_QUADRANT_MAIN_AXIS_TRESHOLD, THROTTLE_QUADRANT_PHYSICAL_AXIS_MIN);
  simchair_aux1.setRyAxisRange(THROTTLE_QUADRANT_MAIN_AXIS_TRESHOLD, THROTTLE_QUADRANT_PHYSICAL_AXIS_MIN);
  simchair_aux1.setThrottleRange(THROTTLE_QUADRANT_MAIN_AXIS_TRESHOLD, THROTTLE_QUADRANT_PHYSICAL_AXIS_MIN);
  simchair_aux1.setXAxisRange(THROTTLE_QUADRANT_SECONDARY_AXIS_TRESHOLD, THROTTLE_QUADRANT_PHYSICAL_AXIS_MAX);
  simchair_aux1.setRudderRange(THROTTLE_QUADRANT_SECONDARY_AXIS_TRESHOLD, THROTTLE_QUADRANT_PHYSICAL_AXIS_MAX);
  simchair_aux1.setZAxisRange(THROTTLE_QUADRANT_SECONDARY_AXIS_TRESHOLD, THROTTLE_QUADRANT_PHYSICAL_AXIS_MAX);

  simchair_aux2.setRxAxisRange(THROTTLE_QUADRANT_MAIN_AXIS_TRESHOLD, THROTTLE_QUADRANT_PHYSICAL_AXIS_MIN);
  simchair_aux2.setRyAxisRange(THROTTLE_QUADRANT_MAIN_AXIS_TRESHOLD, THROTTLE_QUADRANT_PHYSICAL_AXIS_MIN);
  simchair_aux2.setThrottleRange(THROTTLE_QUADRANT_MAIN_AXIS_TRESHOLD, THROTTLE_QUADRANT_PHYSICAL_AXIS_MIN);
  simchair_aux2.setXAxisRange(THROTTLE_QUADRANT_SECONDARY_AXIS_TRESHOLD, THROTTLE_QUADRANT_PHYSICAL_AXIS_MAX);
  simchair_aux2.setRudderRange(THROTTLE_QUADRANT_SECONDARY_AXIS_TRESHOLD, THROTTLE_QUADRANT_PHYSICAL_AXIS_MAX);
  simchair_aux2.setZAxisRange(THROTTLE_QUADRANT_SECONDARY_AXIS_TRESHOLD, THROTTLE_QUADRANT_PHYSICAL_AXIS_MAX);

  dev_throttle_quadrant = 1;
}


void poll_throttle_quadrant()
{
  uint16_t rx, ry, throttle,rx1,ry1,throttle1;

  Wire.requestFrom(THROTTLE_QUADRANT_I2C_ADDRESS, 12);
  while (Wire.available())
  {
    byte b1 = Wire.read(); // receive a byte as character
    byte b2 = Wire.read();
    byte b3 = Wire.read(); // receive a byte as character
    byte b4 = Wire.read();
    byte b5 = Wire.read(); // receive a byte as character
    byte b6 = Wire.read();
    byte b7 = Wire.read(); // receive a byte as character
    byte b8 = Wire.read();
    byte b9 = Wire.read(); // receive a byte as character
    byte b10 = Wire.read();
    byte b11 = Wire.read(); // receive a byte as character
    byte b12 = Wire.read();
//    byte b7 = b1;
//    byte b8 = b2;
//    byte b9 = b3;
//    byte b10 = b4;
//    byte b11 = b5;
//    byte b12 = b6;


    
    throttle = b1;
    throttle = (throttle << 8) | b2;
    rx = b3;
    rx = (rx << 8) | b4;
    ry = b5;
    ry = (ry << 8) | b6;
    throttle1 = b7;
    throttle1 = (throttle1 << 8) | b8;
    rx1 = b9;
    rx1 = (rx1 << 8) | b10;
    ry1 = b11;
    ry1 = (ry1 << 8) | b12;
    

  }

//  Serial.print(rx);
//  Serial.print(" ");
//  Serial.print(ry);
//  Serial.print(" ");
//  Serial.print(throttle);
//  Serial.println(" ");



  if (rx < THROTTLE_QUADRANT_MAIN_AXIS_TRESHOLD)
  {
     simchair_aux1.setRxAxis(rx);
  }
  else if (rx > THROTTLE_QUADRANT_SECONDARY_AXIS_TRESHOLD)
  {
    simchair_aux1.setXAxis(rx);

  }
  else
  {
    simchair_aux1.setRxAxis(THROTTLE_QUADRANT_MAIN_AXIS_TRESHOLD);
    simchair_aux1.setXAxis(THROTTLE_QUADRANT_SECONDARY_AXIS_TRESHOLD);
  }

  if (ry < THROTTLE_QUADRANT_MAIN_AXIS_TRESHOLD)
  {
     simchair_aux1.setRyAxis(ry);
  }
  else if (ry > THROTTLE_QUADRANT_SECONDARY_AXIS_TRESHOLD)
  {
    simchair_aux1.setRudder(ry);

  }
  else
  {
    simchair_aux1.setRyAxis(THROTTLE_QUADRANT_MAIN_AXIS_TRESHOLD);
    simchair_aux1.setRudder(THROTTLE_QUADRANT_SECONDARY_AXIS_TRESHOLD);
  }

  if (throttle < THROTTLE_QUADRANT_MAIN_AXIS_TRESHOLD)
  {
     simchair_aux1.setThrottle(throttle);
  }
  else if (throttle > THROTTLE_QUADRANT_SECONDARY_AXIS_TRESHOLD)
  {
    simchair_aux1.setZAxis(throttle);

  }
  else
  {
    simchair_aux1.setThrottle(THROTTLE_QUADRANT_MAIN_AXIS_TRESHOLD);
    simchair_aux1.setZAxis(THROTTLE_QUADRANT_SECONDARY_AXIS_TRESHOLD);
  }

if (rx1 < THROTTLE_QUADRANT_MAIN_AXIS_TRESHOLD)
  {
     simchair_aux2.setRxAxis(rx);
  }
  else if (rx1 > THROTTLE_QUADRANT_SECONDARY_AXIS_TRESHOLD)
  {
    simchair_aux2.setXAxis(rx);

  }
  else
  {
    simchair_aux1.setRxAxis(THROTTLE_QUADRANT_MAIN_AXIS_TRESHOLD);
    simchair_aux1.setXAxis(THROTTLE_QUADRANT_SECONDARY_AXIS_TRESHOLD);
  }

  if (ry1 < THROTTLE_QUADRANT_MAIN_AXIS_TRESHOLD)
  {
     simchair_aux2.setRyAxis(ry);
  }
  else if (ry1 > THROTTLE_QUADRANT_SECONDARY_AXIS_TRESHOLD)
  {
    simchair_aux2.setRudder(ry);

  }
  else
  {
    simchair_aux2.setRyAxis(THROTTLE_QUADRANT_MAIN_AXIS_TRESHOLD);
    simchair_aux2.setRudder(THROTTLE_QUADRANT_SECONDARY_AXIS_TRESHOLD);
  }

  if (throttle1 < THROTTLE_QUADRANT_MAIN_AXIS_TRESHOLD)
  {
     simchair_aux2.setThrottle(throttle);
  }
  else if (throttle1 > THROTTLE_QUADRANT_SECONDARY_AXIS_TRESHOLD)
  {
    simchair_aux2.setZAxis(throttle);

  }
  else
  {
    simchair_aux2.setThrottle(THROTTLE_QUADRANT_MAIN_AXIS_TRESHOLD);
    simchair_aux2.setZAxis(THROTTLE_QUADRANT_SECONDARY_AXIS_TRESHOLD);
  }



}
